searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"LiveMessage.Id.html","title":"LiveMessage.Id","type":"module"},{"doc":"","ref":"LiveMessage.Id.html#for_component/2","title":"LiveMessage.Id.for_component/2","type":"function"},{"doc":"","ref":"LiveMessage.Id.html#for_live_view/0","title":"LiveMessage.Id.for_live_view/0","type":"function"},{"doc":"","ref":"LiveMessage.Id.LiveComponentId.html","title":"LiveMessage.Id.LiveComponentId","type":"module"},{"doc":"","ref":"LiveMessage.LiveComponent.html","title":"LiveMessage.LiveComponent","type":"module"},{"doc":"","ref":"LiveMessage.LiveComponent.html#default_update/2","title":"LiveMessage.LiveComponent.default_update/2","type":"function"},{"doc":"","ref":"LiveMessage.LiveComponent.html#update_decorator/4","title":"LiveMessage.LiveComponent.update_decorator/4","type":"function"},{"doc":"","ref":"LiveMessage.LiveView.html","title":"LiveMessage.LiveView","type":"module"},{"doc":"","ref":"LiveMessage.LiveView.html#on_mount/4","title":"LiveMessage.LiveView.on_mount/4","type":"function"},{"doc":"","ref":"LiveMessage.SendFunctions.html","title":"LiveMessage.SendFunctions","type":"module"},{"doc":"","ref":"LiveMessage.SendFunctions.html#send_info/2","title":"LiveMessage.SendFunctions.send_info/2","type":"function"},{"doc":"","ref":"LiveMessage.SendFunctions.html#send_info_after/3","title":"LiveMessage.SendFunctions.send_info_after/3","type":"function"},{"doc":"![Tests](https://github.com/Dyad-AI/live_message/actions/workflows/tests.yml/badge.svg) [![Hex.pm](https://img.shields.io/hexpm/v/live_message.svg)](https://hex.pm/packages/live_message) [![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/live_message/)\n\n# LiveMessage\n\nUnified messaging for LiveViews and LiveComponents, to allow for simple decomposition of LiveViews into LiveComponents.","ref":"readme.html","title":"README","type":"extras"},{"doc":"From any LiveView or LiveComponent you can:\n\n```elixir\nsend_info(target, message)\n```\n\nor\n\n```elixir\nsend_info_after(target, message, time)\n```\n\nwhich will trigger a `handle_info/2` in the target LIveView or LiveComponent:\n\n```elixir\ndef handle_info(message, socket) do\n  ....\n  {:noreply, socket}\nend\n```\n\nThe \"target\" here is the ID of the LiveView or LiveComponent available though the `@me` assign, e.g.\n\n```heex\n \n```\n\nThink of `@me` like `@myself` but for live messaging.","ref":"readme.html#usage","title":"Usage - README","type":"extras"},{"doc":"The package can be installed by adding `live_message` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:live_message, \"~> 0.1.0\"}\n  ]\nend\n```\n\nNext, add the following `use` statements to your web file in `lib/my_app_web.ex`:\n\n```elixir\n# lib/my_app_web.ex\n\ndef live_view do\n  quote do\n    # ...\n    use LiveMessage.LiveView\n  end\nend\n\ndef live_component do\n  quote do\n    # ...\n    use LiveMessage.LiveComponent\n  end\nend\n```","ref":"readme.html#installation","title":"Installation - README","type":"extras"}]}